function Display_B_mode(x_axis, y_axis, image_N_BIT, image_bits, Line_to_show,Frame_to_show, flag)
%% OUT: display B mode and postion of RF line to be displayed superimposed
%% IN:
% x_axis, y_axis - spatial coordinates of B mode frame
% image_N_BIT - B mode image data (N bit)
% image_bits - number of image bits (typically - 8) 
% Line_to_show - number of RF line to be superimposed
% Frame_to_show - number of RF frame to be displayed
% flag 0 for rectangular array, 1 for sector

if (size(x_axis,2)==1) %% (rectangular array)    
pcolor(x_axis, y_axis, image_N_BIT)
hold on
plot(x_axis(Line_to_show)*ones(length(y_axis),1), y_axis,'r','LineWidth',2)
set(gca,'Ydir','reverse')
colormap gray
shading interp
ylabel('Depth, cm','FontSize',10,'FontWeight','Bold')
xlabel('Width, cm','FontSize',10,'FontWeight','Bold')
title(['B mode, Frame #', num2str(Frame_to_show)],'FontSize',10,'FontWeight','Bold')
caxis([0 255])
axis equal
% xlim([min(x_axis(:)) max(x_axis(:))])
% ylim([min(y_axis(:)) max(y_axis(:))])
% h = colorbar;
% set(get(h,'title'),'string',['G.S.U. [0...',num2str(2^image_bits-1),']']);
% set(gca,'fontsize',10)
zoom(gca,'reset')
grid on;
box on;
hold off;

else %% (sector array)

pcolor(x_axis', y_axis', image_N_BIT)
set(gca,'Ydir','reverse')
colormap gray
shading interp
ylabel('Depth, cm','FontSize',10,'FontWeight','Bold')
xlabel('Width, cm','FontSize',10,'FontWeight','Bold')
title(['B mode, Frame #', num2str(Frame_to_show)],'FontSize',10,'FontWeight','Bold')
caxis([0 255])
hold on
plot(x_axis(Line_to_show,:), y_axis(Line_to_show,:),'r','LineWidth',2)
axis equal
% xlim([min(x_axis(:)) max(x_axis(:))])
% ylim([min(y_axis(:)) max(y_axis(:))])
% h = colorbar;
% set(get(h,'title'),'string',['G.S.U. [0...',num2str(2^image_bits-1),']']);
% set(gca,'fontsize',10) 
zoom(gca,'reset')
opengl software
grid on;
box on;
hold off;

% set(gcf,'PaperUnits','centimeters','PaperPosition',[0 0 10 7])
% print('-dtiff','-r1000', 'B_mode_image')
end
