function interpolated_ampl_curve=TGC_curve(Length_of_RF_row, amplification_fract_values)
%% Function which creates interpolated TGC curve for amplification 
%% (linear interpolation between the points adjusted by sliders)
%% IN: 
% amplification_fract_values - TGC curve base points determined  
% Length_of_RF_row - number of samples in RF 
%% OUT: 
% interpolated_ampl_curve - interpolated TGC curve

number_of_TGC_intervals=4;                                               % number of sliders-1   
step_point_to_point=fix((Length_of_RF_row-1)/number_of_TGC_intervals);
vector_of_points=1:step_point_to_point:Length_of_RF_row;

if (vector_of_points(end)<Length_of_RF_row)
vector_of_points(end)=Length_of_RF_row;
end

interpolated_ampl_curve=interp1(vector_of_points,amplification_fract_values,1:Length_of_RF_row,'linear');

% time_daugiklis=(25*10e-9);
% depth=10*0.5*1540*time_daugiklis;

% figure
% plot(3.63+depth*(1:Length_of_RF_row),70*interpolated_ampl_curve,'k','LineWidth',1)
% hold on
% plot(3.63+depth*vector_of_points,70*amplification_fract_values,'ro')
% xlabel('Depth, cm')
% ylabel('OverallGain')

