function image_8_BIT=envelope_2_image(alpha, num_gray_levels, BIT, envelope)

%% IN: image_8_BIT
% alpha - coefficient of non-linearity 
% num_gray_levels - number of gray levels for the image (case 8 BIT = 256) 
% BIT - nuber of ADC bits 
% envelope - Envelope of RF data of single frame
%% OUT:
% image_8_BIT - envelope data mapped to 8 bit image %----------------------
if (BIT > 16) % 16 BIT (returns 32 bits when writes IQ data) 
   BIT=16; 
end

denom = exp(alpha*log(2^BIT-1) )/num_gray_levels;

% Mapping table for envelope2image conversion
MappingTable = exp(alpha*log(0:2^BIT-1))/denom;    
envelope(envelope > (2^BIT-1)) = (2^BIT-1);
image_8_BIT = MappingTable(1+fix(envelope));
% image_8_BIT(find(image_8_BIT>(num_gray_levels-1))) = (num_gray_levels-1);  % protector (ensures range 0...2^N-1) 









